This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 67924 - rpm and up2date query and installation fails
rpm and up2date query and installation fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Paul Nasrat
http://www.tar.hu/rhlinux/rpmdb.tgz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-04 06:58 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 14:42:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
compressed /var/lib/rpm directory (2.90 MB, application/octet-stream)
2002-07-04 07:39 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-07-04 06:58:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
When I updated our system by up2date -u, than rpm installation has failed 
because of "damaged header instance" errors. If I tried up2date again, than it 
sent Segmentation fault.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.up2date -u
2.rpm -qa|more
3.up2date -u
	

Actual Results:  # up2date -u

Retrieving list of all available packages...
########################################
error: rpmdb: damaged header instance #116 retrieved, skipping.
error: rpmdb: damaged header instance #142 retrieved, skipping.
error: rpmdb: damaged header instance #146 retrieved, skipping.
error: rpmdb: damaged header instance #170 retrieved, skipping.
error: rpmdb: damaged header instance #252 retrieved, skipping.
error: rpmdb: damaged header instance #267 retrieved, skipping.

# rpm -qa|more
ash-0.3.7-2
grub-0.90-11
less-358-21
--More--error: rpmdb: damaged header instance #116 retrieved, skipping.
error: rpmdb: damaged header instance #142 retrieved, skipping.
error: rpmdb: damaged header instance #146 retrieved, skipping.
error: rpmdb: damaged header instance #170 retrieved, skipping.
error: rpmdb: damaged header instance #252 retrieved, skipping.
error: rpmdb: damaged header instance #267 retrieved, skipping.

Additional info:

db3-3.2.9-4
db3-utils-3.2.9-4

# rpm --version
RPM version 4.0.4
# up2date --version
Red Hat Update Agent v
Copyright (c) 1999-2001 Red Hat, Inc.
Licensed under terms of the GPL.
Comment 1 Need Real Name 2002-07-04 07:39:13 EDT
Created attachment 63671 [details]
compressed /var/lib/rpm directory
Comment 2 Jeff Johnson 2002-07-05 16:29:50 EDT
Can you supply a URL to the tarball? rpm databases
are too big for bugzilla attachments ...
Comment 3 Jeremy Katz 2005-04-19 14:42:45 EDT
Closing due to inactivity.  If this issue still occurs with current releases,
please reopen and set the release in which you've encountered the problem.

Note You need to log in before you can comment on or make changes to this bug.